#pragma once

// Dodatni library-ji za wifi omoguciti.
#include <WiFi101.h>
#include <WiFiUdp.h>

// Pinovi ledica
// komentari sa clang-format linijom sluze kako automatsko
// spremanje u Visual Studio Code-u ne bi poremetilo stil s kojim sam napisao
// ledice za crveno i zeleno da mi bude lijepo jedan ispod drugoga).
// clang-format off
// int led_zeleno[3][3] = {{5, A2, 9}, 
//                         {4, A1, 10}, 
//                         {3, A0, A6}};
int led_zeleno[3][3] = {{ 3,  4, 5}, 
                        {A0, A1, A2}, 
                        {A6, 10,  9}};
// int led_crveno[3][3] = {{2, 6, A3}, 
//                         {1, 7, A4}, 
//                         {0, 8, A5}};
int led_crveno[3][3] = {{ 0, 1,  2}, 
                        { 8, 7,  6}, 
                        {A5, A4, A3}};
// clang-format on

int igrac = 0;

// Ip adrese svih ploca
IPAddress ploca_A1(192, 168, 1, 116);
IPAddress ploca_A2(192, 168, 1, 163);
IPAddress ploca_A3(192, 168, 1, 101);
IPAddress ploca_A4(192, 168, 1, 142);

IPAddress moja_donja = ploca_A1;
IPAddress moja_gornja = ploca_A2;
IPAddress protivnicka_donja = ploca_A4;
IPAddress protivnicka_gornja = ploca_A3;